Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Notify_Default_Collection_Factory.cpp File Reference

`#include "Notify_Default_Collection_Factory.h"`
`#include "orbsvcs/ESF/ESF_Proxy_List.h"`
`#include "orbsvcs/ESF/ESF_Immediate_Changes.h"`
`#include "orbsvcs/ESF/ESF_Copy_On_Write.h"`
`#include "Notify_Factory.h"`

Include dependency graph for Notify_Default_Collection_Factory.cpp:

## Typedefs
typedef TAO_ESF_Proxy_List< TAO_Notify_EventListener >::Iterator | TAO_Notify_EventListener_List_Iterator
typedef TAO_ESF_Proxy_List< TAO_Notify_UpdateListener >::Iterator | TAO_Notify_UpdateListener_List_Iterator
## Functions
const char * | get_rcsid_Notify_Notify_Default_Collection_Factory (const char *)
| ACE_STATIC_SVC_DEFINE (TAO_Notify_Default_Collection_Factory, ACE_TEXT(TAO_NOTIFY_DEF_COLLECTION_FACTORY_NAME), ACE_SVC_OBJ_T,&ACE_SVC_NAME(TAO_Notify_Default_Collection_Factory), ACE_Service_Type::DELETE_THIS|ACE_Service_Type::DELETE_OBJ, 0) ACE_FACTORY_DEFINE(TAO_Notify
## Variables
const char * | rcsid_Notify_Notify_Default_Collection_Factory = get_rcsid_Notify_Notify_Default_Collection_Factory ( rcsid_Notify_Notify_Default_Collection_Factory )

## Typedef Documentation

typedef TAO_ESF_Proxy_List<TAO_Notify_EventListener>::Iterator TAO_Notify_EventListener_List_Iterator

typedef TAO_ESF_Proxy_List<TAO_Notify_UpdateListener>::Iterator TAO_Notify_UpdateListener_List_Iterator

## Function Documentation

ACE_STATIC_SVC_DEFINE | ( | TAO_Notify_Default_Collection_Factory | ,
|  | ACE_TEXT(TAO_NOTIFY_DEF_COLLECTION_FACTORY_NAME) | ,
|  | ACE_SVC_OBJ_T | ,
|  | &ACE_SVC_NAME(TAO_Notify_Default_Collection_Factory) | ,
|  | ACE_Service_Type::DELETE_THIS|ACE_Service_Type::DELETE_OBJ | ,
|  | 0 |
| ) |

const char* get_rcsid_Notify_Notify_Default_Collection_Factory | ( | const char * |  | ) | `[inline]`

## Variable Documentation

const char* rcsid_Notify_Notify_Default_Collection_Factory = get_rcsid_Notify_Notify_Default_Collection_Factory ( rcsid_Notify_Notify_Default_Collection_Factory )`[static]`